Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters.
This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"DeFindex","colors":{"primary":"#014751","light":"#DEC9F4","dark":"#DEC9F4"},"logo":{"light":"https://mintcdn.com/defindex/ug30IPjHJU5kK9-E/logo/light.svg?fit=max\u0026auto=format\u0026n=ug30IPjHJU5kK9-E\u0026q=85\u0026s=e26b6d56cee09e9b66fe804ce8c27469","dark":"https://mintcdn.com/defindex/ug30IPjHJU5kK9-E/logo/dark.svg?fit=max\u0026auto=format\u0026n=ug30IPjHJU5kK9-E\u0026q=85\u0026s=c232c9a881cdd7bd62fe643c69beffff"},"favicon":"https://mintcdn.com/defindex/ug30IPjHJU5kK9-E/favicon.svg?fit=max\u0026auto=format\u0026n=ug30IPjHJU5kK9-E\u0026q=85\u0026s=617ae9a225c5fb5948558b3e700e1741","api":{"openapi":"https://api.defindex.io/api-json","mdx":{"auth":{"method":"bearer"},"server":"https://api.defindex.io"}},"navbar":{"primary":{"type":"button","label":"Open Console","href":"https://console.defindex.io"}},"footer":{"socials":{"x":"https://x.com/defindex_","discord":"https://discord.gg/aV5jHwmsaj","github":"https://github.com/defindex-io"}},"integrations":{"posthog":{"apiKey":"phc_C6MfPNluY4B1Kx7kFa4d2XPJmcGHhQAplhnzD8hIt6G","apiHost":"https://us.i.posthog.com","sessionRecording":false}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"defindex","hasAudioNarration":false,"actualSubdomain":"defindex","customDomains":["docs.defindex.io"],"gitSource":{"type":"github","owner":"defindex-io","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6adc05045adcd878d590476f","collectionId":"8918cca6-39f3-4137-9df8-6657e07a569e","liveDeploymentHistoryId":"6adc05045adcd878d590476f","schemaVersion":"v3"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adc10c6733b3125df647493","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"Documentation","count":46},{"language":"default","tag":"API Reference","count":38},{"language":"default","tag":"Integration Guide","count":23},{"language":"default","tag":"Vault management","count":12},{"language":"default","tag":"Advanced Documentation","count":8},{"language":"default","tag":"Vaults","count":8},{"language":"default","tag":"Guides and Tutorials","count":8},{"language":"default","tag":"Account","count":6},{"language":"default","tag":"Historical data","count":5},{"language":"default","tag":"Vault Operations","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#topbar-cta-button .text-white,#topbar-cta-button .text-white\\/90{color:#014751}"}],"page":{"pagePath":"api-reference/factory/create-vault","slug":"/api-reference/factory/create-vault","pageMetadata":{"openapi":"POST /factory/create-vault","title":"Create a new vault","description":"**Manager Function - Vault Manager**: Creates a new DeFindex vault with the specified configuration parameters.\n This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.","href":"/api-reference/factory/create-vault"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Manager Function - Vault Manager\"\n }), \": Creates a new DeFindex vault with the specified configuration parameters.\\nThis endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"POST /factory/create-vault","title":"Create a new vault","description":"**Manager Function - Vault Manager**: Creates a new DeFindex vault with the specified configuration parameters.\n This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.","href":"/api-reference/factory/create-vault"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/defindex/0d670a81bd2dad48/analytics.js"],"openApiReferenceData":{"operation":{"description":"**Manager Function - Vault Manager**: Creates a new DeFindex vault with the specified configuration parameters.\n This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.","operationId":"FactoryController_createDefindexVault","parameters":["24d57580-8fe5-4f0d-b0dc-e10f260471b4"],"requestBody":"48481e1a-cd28-4020-9215-f4920c199423","responses":{"200":"192f2947-dd75-481c-a6fb-cfc682dbcbc5","400":"e6392661-b622-4471-adf6-7867e7a76bfe","403":"112fe547-a4fb-4c30-97e5-f38de62afba0","404":"32034c00-3319-4ee1-aada-9d3af2bebde0"},"summary":"Create a new vault","tags":["Factory"],"method":"post","type":"path","servers":[],"security":[],"path":"/factory/create-vault","baseUrlOptions":["https://api.defindex.io"],"title":"Create a new vault","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"24d57580-8fe5-4f0d-b0dc-e10f260471b4":{"name":"network","required":true,"in":"query","description":"Stellar network to execute the transaction on (testnet or mainnet)","schema":{"enum":["testnet","mainnet"],"type":"string","isRequired":true,"description":"Stellar network to execute the transaction on (testnet or mainnet)","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"requestBody":{"required":true,"description":"Vault creation parameters. All parameters are required for vault deployment.","content":{"application/json":{"schema":{"type":"object","properties":{"roles":{"type":"object","description":"Vault roles configuration","required":["emergencyManager","rebalanceManager","feeReceiver","manager"],"properties":{"emergencyManager":{"type":"string","description":"Emergency manager address","example":"GBAJGSZQRZDMHKU4DAS6FEJM7TYISAME5LNERKOT7XLMNFZ5IF5ROXOQ","isRequired":true,"uniqueKey":"roles.emergencyManager","typeLabel":"string"},"rebalanceManager":{"type":"string","description":"Rebalance manager address","example":"GBAJGSZQRZDMHKU4DAS6FEJM7TYISAME5LNERKOT7XLMNFZ5IF5ROXOQ","isRequired":true,"uniqueKey":"roles.rebalanceManager","typeLabel":"string"},"feeReceiver":{"type":"string","description":"Fee receiver address","example":"GBAJGSZQRZDMHKU4DAS6FEJM7TYISAME5LNERKOT7XLMNFZ5IF5ROXOQ","isRequired":true,"uniqueKey":"roles.feeReceiver","typeLabel":"string"},"manager":{"type":"string","description":"Vault manager address","example":"GBAJGSZQRZDMHKU4DAS6FEJM7TYISAME5LNERKOT7XLMNFZ5IF5ROXOQ","isRequired":true,"uniqueKey":"roles.manager","typeLabel":"string"}},"isRequired":true,"uniqueKey":"roles","typeLabel":"object"},"vaultFeeBps":{"type":"number","description":"Fee amount in basis points (0-10000, where 10000 = 100%)","example":25,"minimum":0,"maximum":10000,"isRequired":true,"uniqueKey":"vaultFeeBps","typeLabel":"number"},"assets":{"description":"Assets and their strategies","example":[{"address":"CAWS...","strategies":[{"address":"CXAO...","name":"Strategy1","paused":false},{"address":"CVXA...","name":"Strategy2","paused":true}]}],"type":"array","items":{"type":"object","properties":{"address":{"type":"string","description":"Asset address","example":"GDAF...","isRequired":true,"uniqueKey":"assets.items.[INDEX].address","typeLabel":"string"},"strategies":{"description":"Strategies associated with the asset","type":"array","items":{"type":"object","properties":{"address":{"type":"string","description":"Strategy address","isRequired":true,"uniqueKey":"assets.items.[INDEX].strategies.items.[INDEX].address","typeLabel":"string"},"name":{"type":"string","description":"Strategy name","isRequired":true,"uniqueKey":"assets.items.[INDEX].strategies.items.[INDEX].name","typeLabel":"string"},"paused":{"type":"boolean","description":"Indicates if the strategy is paused","isRequired":true,"uniqueKey":"assets.items.[INDEX].strategies.items.[INDEX].paused","typeLabel":"boolean"}},"required":["address","name","paused"],"uniqueKey":"assets.items.[INDEX].strategies.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"assets.items.[INDEX].strategies","typeLabel":"object[]"}},"required":["address","strategies"],"uniqueKey":"assets.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"assets","typeLabel":"object[]"},"name":{"type":"string","description":"Vault name","example":"MyVault","minLength":1,"maxLength":32,"isRequired":true,"uniqueKey":"name","typeLabel":"string"},"symbol":{"type":"string","description":"Vault symbol","example":"MVLT","minLength":1,"maxLength":10,"isRequired":true,"uniqueKey":"symbol","typeLabel":"string"},"upgradable":{"type":"boolean","description":"Indicates if the vault is upgradable","isRequired":true,"uniqueKey":"upgradable","typeLabel":"boolean"},"caller":{"type":"string","description":"Caller address, the address that will call the vault creation and sign the transaction","example":"GQWE...","isRequired":true,"uniqueKey":"caller","typeLabel":"string"}},"required":["roles","vaultFeeBps","assets","name","symbol","upgradable","caller"],"uniqueKey":"","typeLabel":"object"},"examples":{"New vault creation":{"title":"New vault creation","value":{"roles":{"emergencyManager":"GACKTN5DAZGWXRWB2WLM6OPBDHAMT6SJNGLJZPQMEZBUR4JUGBX2UK7V","feeReceiver":"GACKTN5DAZGWXRWB2WLM6OPBDHAMT6SJNGLJZPQMEZBUR4JUGBX2UK7V","manager":"GACKTN5DAZGWXRWB2WLM6OPBDHAMT6SJNGLJZPQMEZBUR4JUGBX2UK7V","rebalanceManager":"GACKTN5DAZGWXRWB2WLM6OPBDHAMT6SJNGLJZPQMEZBUR4JUGBX2UK7V"},"vaultFeeBps":25,"assets":[{"address":"CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75","strategies":[{"address":"CDB2WMKQQNVZMEBY7Q7GZ5C7E7IAFSNMZ7GGVD6WKTCEWK7XOIAVZSAP","name":"Strategy A","paused":false}]}],"name":"MyVault","symbol":"MVLT","upgradable":true,"caller":"GACKTN5DAZGWXRWB2WLM6OPBDHAMT6SJNGLJZPQMEZBUR4JUGBX2UK7V"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"192f2947-dd75-481c-a6fb-cfc682dbcbc5":{"description":"Vault creation transaction prepared successfully","content":{"application/json":{"schema":{"type":"object","properties":{"xdr":{"oneOf":[{"type":"string","description":"Base64 encoded transaction XDR ready for signing by Vault Manager","uniqueKey":"xdr.oneOf.0","typeLabel":"string"},{"type":"null","description":"Base64 encoded transaction XDR ready for signing by Vault Manager","uniqueKey":"xdr.oneOf.1","typeLabel":"null"}],"uniqueKey":"xdr","typeLabel":"string | null"},"simulationResponse":{"type":"string","description":"Simulation result of the transaction","uniqueKey":"simulationResponse","typeLabel":"string"},"error":{"type":"string","description":"Error message if any","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"xdr":"\u003cstring>","simulationResponse":"\u003cstring>","error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"e6392661-b622-4471-adf6-7867e7a76bfe":{"description":"Bad request - invalid vault creation parameters","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"112fe547-a4fb-4c30-97e5-f38de62afba0":{"description":"Forbidden - caller is not authorized as Vault Manager","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"32034c00-3319-4ee1-aada-9d3af2bebde0":{"description":"Not found - no factory contract deployed for this network","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"c0eaff6f-f6df-4991-be9b-df87efae2b2f":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"https://api.defindex.io/api-json"},"subdomain":"defindex","siteName":"DeFindex","title":"Create a new vault - DeFindex","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-24T01:08:28.326Z","originalFileLocation":"api-reference/factory/create-vault.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters. This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\">\u003cmeta data-mint-head name=\"application-name\" content=\"DeFindex\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a new vault - DeFindex\">\u003cmeta data-mint-head property=\"og:description\" content=\"Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters. This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"DeFindex\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.defindex.io/api-reference/factory/create-vault\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://defindex.mintlify.app/_mintlify/api/og/v2?division=Create+a+vault\u0026amp;title=Create+a+new+vault\u0026amp;description=**Manager+Function+-+Vault+Manager**%3A+Creates+a+new+DeFindex+vault+with+the+specified+configuration+parameters.%0A++++This+endpoint+allows+authorized+vault+manage\u0026amp;theme=8bd24efa4c6ed0dcef030c46\u0026amp;signature=f4a2a35dcff3c5c98c89adec362e32552d38c75cbee4c2804d2bd5ee3ceb4c3c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a new vault - DeFindex\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters. This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://defindex.mintlify.app/_mintlify/api/og/v2?division=Create+a+vault\u0026amp;title=Create+a+new+vault\u0026amp;description=**Manager+Function+-+Vault+Manager**%3A+Creates+a+new+DeFindex+vault+with+the+specified+configuration+parameters.%0A++++This+endpoint+allows+authorized+vault+manage\u0026amp;theme=8bd24efa4c6ed0dcef030c46\u0026amp;signature=f4a2a35dcff3c5c98c89adec362e32552d38c75cbee4c2804d2bd5ee3ceb4c3c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/defindex/p4-LGAwSasouxdUs/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"DeFindex\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#014751\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.defindex.io/api-reference/factory/create-vault\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/factory/create-vault.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.defindex.io/#organization\",\"name\":\"DeFindex\",\"url\":\"https://docs.defindex.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/defindex/ug30IPjHJU5kK9-E/logo/light.svg?fit=max\u0026auto=format\u0026n=ug30IPjHJU5kK9-E\u0026q=85\u0026s=e26b6d56cee09e9b66fe804ce8c27469\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.defindex.io#website\",\"name\":\"DeFindex\",\"url\":\"https://docs.defindex.io\",\"publisher\":{\"@id\":\"https://docs.defindex.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.defindex.io/api-reference/factory/create-vault#webpage\",\"url\":\"https://docs.defindex.io/api-reference/factory/create-vault\",\"name\":\"Create a new vault\",\"description\":\"Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters. This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\",\"dateModified\":\"2026-10-24T01:08:28.326Z\",\"isPartOf\":{\"@id\":\"https://docs.defindex.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.defindex.io/api-reference/factory/create-vault#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.defindex.io/api-reference/factory/create-vault#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Create a vault\",\"item\":\"https://docs.defindex.io/api-reference/factory/factory-address\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a new vault\",\"item\":\"https://docs.defindex.io/api-reference/factory/create-vault\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.defindex.io/api-reference/factory/create-vault#apireference\",\"headline\":\"Create a new vault\",\"name\":\"Create a new vault\",\"description\":\"Manager Function - Vault Manager: Creates a new DeFindex vault with the specified configuration parameters. This endpoint allows authorized vault managers to deploy new vault contracts through the factory. The vault will be configured with the provided assets, strategies, and management parameters. This is typically used during the initial setup phase of a new investment strategy.\",\"url\":\"https://docs.defindex.io/api-reference/factory/create-vault\",\"mainEntityOfPage\":{\"@id\":\"https://docs.defindex.io/api-reference/factory/create-vault#webpage\"},\"dateModified\":\"2026-10-24T01:08:28.326Z\",\"publisher\":{\"@id\":\"https://docs.defindex.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.defindex.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"DeFindex\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"DeFindex","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API Reference","groups":[{"group":"Vaults","pages":[{"openapi":"GET /vault/discover","title":"Discover main Defindex vaults","href":"/api-reference/vaults/discover"},{"openapi":"GET /vault/{address}","title":"Get vault information","href":"/api-reference/vaults/vault-info"},{"openapi":"GET /vault/{address}/balance","title":"Get user vault balance","href":"/api-reference/vaults/balance"},{"openapi":"POST /vault/{address}/deposit","title":"Deposit assets into vault","href":"/api-reference/vaults/deposit"},{"openapi":"POST /vault/{address}/withdraw","title":"Withdraw specific asset amounts from vault","href":"/api-reference/vaults/withdraw"},{"openapi":"POST /vault/{address}/withdraw-shares","title":"Withdraw by burning specific amount of vault shares","href":"/api-reference/vaults/withdraw-shares"},{"openapi":"GET /vault/{address}/apy","title":"Get vault 7-day Annual Percentage Yield (APY)","href":"/api-reference/vaults/apy"},{"openapi":"GET /strategies","title":"Get all strategies with TVL and APY","href":"/api-reference/vaults/strategies"}]},{"group":"Historical data","pages":[{"openapi":"GET /vault/{address}/history","title":"Get vault historical performance metrics","href":"/api-reference/historical-data/vault-history"},{"openapi":"GET /account/{walletAddress}/vault/{vaultAddress}","title":"Get account vault performance metrics","href":"/api-reference/historical-data/account-performance"},{"openapi":"GET /account/{walletAddress}/vault/{vaultAddress}/events","title":"Get an account's flat transaction history in a vault","href":"/api-reference/historical-data/account-events"},{"openapi":"GET /vault/{address}/active-users","title":"Daily active users (holders), new and churned, over a period","href":"/api-reference/historical-data/active-users"},{"openapi":"GET /vault/{address}/depositors","title":"Get vault depositor analytics","href":"/api-reference/historical-data/depositors"}]},{"group":"Create a vault","pages":[{"openapi":"GET /factory/address","title":"Get factory contract address","description":"**System Function**: Retrieves the address of the factory contract for a specific Stellar network.\n\nThis endpoint provides the factory contract address that is used to create new vaults. It's essential for applications that need to interact with the factory contract to deploy new vault instances.","href":"/api-reference/factory/factory-address"},{"openapi":"POST /factory/create-vault","title":"Create a new vault","href":"/api-reference/factory/create-vault"},{"openapi":"POST /factory/create-vault-deposit","title":"Create vault and deposit in single transaction","description":"**User Experience Function**: Creates a new DeFindex vault and performs an initial deposit in a single atomic transaction.\n This endpoint combines vault creation and initial deposit, providing a streamlined user experience for launching a new vault with immediate funding. This is ideal for users who want to create and immediately invest in a new vault strategy.","href":"/api-reference/factory/create-vault-deposit"},{"openapi":"POST /factory/create-vault-auto-invest","title":"Create vault with auto-invest","href":"/api-reference/factory/create-vault-auto-invest"}]},{"group":"Vault management","pages":[{"openapi":"GET /vault/{address}/fees/status","title":"Get fee status for a vault","href":"/api-reference/vault-management/fee-status"},{"openapi":"POST /vault/{address}/lock-fees","title":"Lock vault fees","href":"/api-reference/vault-management/lock-fees"},{"openapi":"POST /vault/{address}/release-fees","title":"Release locked vault fees","href":"/api-reference/vault-management/release-fees"},{"openapi":"POST /vault/{address}/distribute-fees","title":"Distribute vault fees","href":"/api-reference/vault-management/distribute-fees"},{"openapi":"GET /vault/{address}/report","title":"Generate strategy reports for vault","href":"/api-reference/vault-management/report"},{"openapi":"POST /vault/{address}/rebalance","title":"Rebalance vault strategies","href":"/api-reference/vault-management/rebalance"},{"openapi":"POST /vault/{address}/rescue","title":"Rescue assets from a strategy","href":"/api-reference/vault-management/rescue"},{"openapi":"POST /vault/{address}/pause-strategy","title":"Pause a vault strategy","href":"/api-reference/vault-management/pause-strategy"},{"openapi":"POST /vault/{address}/unpause-strategy","title":"Unpause a vault strategy","href":"/api-reference/vault-management/unpause-strategy"},{"openapi":"GET /vault/{address}/get/{role}","title":"Get vault role","href":"/api-reference/vault-management/get-role"},{"openapi":"POST /vault/{address}/set/{role}","title":"Set vault role","href":"/api-reference/vault-management/set-role"},{"openapi":"POST /vault/{address}/upgrade","title":"Upgrade vault contract wasm","href":"/api-reference/vault-management/upgrade"}]},{"group":"Migration","pages":[{"openapi":"POST /migration/defindex-to-defindex","title":"Migrate a full position between two DeFindex vaults","href":"/api-reference/migration/defindex-to-defindex"}]},{"group":"Transactions","pages":[{"openapi":"POST /send","title":"Submit signed transaction to Stellar blockchain","href":"/api-reference/transactions/send"}]},{"group":"Account","pages":[{"openapi":"POST /register","title":"Register a new user account","href":"/api-reference/account/register"},{"openapi":"POST /login","title":"Authenticate user and obtain JWT tokens","href":"/api-reference/account/login"},{"openapi":"POST /refresh","title":"Refresh JWT access token","href":"/api-reference/account/refresh"},{"openapi":"POST /api-keys/generate","title":"Generate API Key","href":"/api-reference/account/generate-api-key"},{"openapi":"GET /api-keys","title":"Get API Keys","href":"/api-reference/account/list-api-keys"},{"openapi":"POST /api-keys/{keyId}/revoke","title":"Revoke API Key","href":"/api-reference/account/revoke-api-key"}]},{"group":"Utilities","pages":[{"openapi":"GET /health","title":"API health check","href":"/api-reference/utilities/health"}]}]}]},"title":"Create a new vault - DeFindex","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}